Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/sales/rma/requests/{rma_id}

Get RMA Request

Returns a single RMA return request belonging to a project.

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
rma_idYesNot specified
Description: Identifier for rma.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "user_id": 1,
  "guest_email": "user@example.com",
  "rma_number": "string",
  "order_id": 1,
  "order_number": "string",
  "order_item_id": 1,
  "product_id": 1,
  "variant_id": 1,
  "sku": "string",
  "item_name": "string",
  "requested_qty": "string",
  "reason": "string",
  "description": "string",
  "status": "active",
  "admin_note": "string",
  "resolution_note": "string",
  "return_label_url": "string",
  "return_tracking_number": "string",
  "return_carrier": "string",
  "return_address_json": {},
  "requested_info_message": "string",
  "customer_reply": "string",
  "updated_by_user_id": 1,
  "closed_at": "2026-01-01T00:00:00Z",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

404 not_found

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified